Spigot Fast Chunk Unloader 1.0

Unload chunks faster!

  1. Jaeger_Danger submitted a new resource:

    Async Chunk Unloader - Unload chunks faster!

    Read more about this resource...
     
  2. MC 1.8.8 Any fix?

    Code (YAML):
    [13:41:21 ERROR]: [Skript] The TPS expression is not supported on this server software (unloader.sk, line 46: tps from the last minute < {@sensortps}')
    [13:41:21 ERROR]
    : [Skript] can't understand this condition: 'create new section stored in {_firstsec}' (unloader.sk, line 52: create new section stored in {_firstsec}:')
    [13:41:21 ERROR]
    : [Skript] Can't understand this condition/effect: run section {_firstsec} async (unloader.sk, line 79: run section {_firstsec} async')
    [13:41:21 ERROR]
    : [Skript] Can't understand this expression: size of ...(player's world).getLoadedChunks() (unloader.sk, line 87: send "{@prefix}Chunk unloader is running. &c%size of ...(player's world).getLoadedChunks()%&7 chunks are loaded"')
    [13:41:21 ERROR]
    : [Skript] Can't understand this expression: size of ...(player's world).getLoadedChunks() (unloader.sk, line 89: send "{@prefix}Chunk unloader is not running. &c%size of ...(player's world).getLoadedChunks()%&7 chunks are loaded"')
    [13:41:21 ERROR]
    : [Skript] can't understand this condition: 'create new section stored in {_firstsec}' (unloader.sk, line 99: create new section stored in {_firstsec}:')
    [13:41:21 ERROR]
    : [Skript] Can't understand this condition/effect: run section {_firstsec} async (unloader.sk, line 124: run section {_firstsec} async')
     
  3. Make sure you are using PAPER (not normal spigot) or a fork of paper that Skript supports.
    There are links for the 1.8.8 fork of Skript in the resource description and you must have the required addon (Skript-Reflect 2.2.1 which is also in the resource description).

    Also this is purely hypothetical as i have not tested 1.8.8. (although it seems like all the methods are present so it should work)
     
    #3 Jaeger_Danger, Jun 21, 2021
    Last edited: Jun 21, 2021
  4. Will there be an update for 1.17.1 and above?
     
  5. I will look into it once skript fully supports 1.17 :)
     
  6. epic
     
    • Like Like x 1
  7. bro it's not a jar file how do i add the plugin without jar file?
     
  8. Hey man, you have to use a plugin called Skript to use this file, the links are in the description. Once you have installed skript in your plugins folder, and restarted your server, you place this .sk file inside plugins/Skript/scripts then use the /sk reload all command. I hope you enjoy it!
     
  9. thx
     
  10. [10:44:25 ERROR]: [Skript] Can't understand this section: create new section stored in {_firstsec} (unloader.sk, line 52: create new section stored in {_firstsec}:')
    [10:44:25 ERROR]: [Skript] Can't understand this condition/effect: run section {_firstsec} async (unloader.sk, line 79: run section {_firstsec} async')
    [10:44:25 ERROR]: [Skript] Can't understand this expression: size of ...(player's world).getLoadedChunks() (unloader.sk, line 87: send "{@prefix}Chunk unloader is running. &c%size of ...(player's world).getLoadedChunks()%&7 chunks are loaded"')
    [10:44:25 ERROR]: [Skript] Can't understand this expression: size of ...(player's world).getLoadedChunks() (unloader.sk, line 89: send "{@prefix}Chunk unloader is not running. &c%size of ...(player's world).getLoadedChunks()%&7 chunks are loaded"')
    [10:44:25 ERROR]: [Skript] Can't understand this section: create new section stored in {_firstsec} (unloader.sk, line 99: create new section stored in {_firstsec}:')
    [10:44:25 ERROR]: [Skript] Can't understand this condition/effect: run section {_firstsec} async (unloader.sk, line 124: run section {_firstsec} async')
     
  11. Please don't post errors here if you haven't read the description, you also need the file called skript-reflect, which it says in the description :)
    Make sure you read everything please, it is very important otherwise you may be wasting your time
    I hope it works for ya! Thanks for giving it a go
     
  12. do i need both skript & skript reflect?
     
  13. Yes, skript is the "language" this was coded in, and skript reflect allows me to use Java methods inside the same file. So you need both inside your plugins folder
    Your server version probably also needs to be paper if it isn't. Although i haven't double checked this.
     
    • Like Like x 1